> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Transaction

> A `POST` to the `/transactions` endpoint allows your application to create a Transaction.

<Note>
  **Batch creating transactions?**

  The [Queue Transaction](/api-reference/transaction/queue-transaction) endpoint is more suitable for creating high volumes of transactions for bulk imports.
</Note>


## OpenAPI

````yaml post /v3/transactions
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/transactions:
    post:
      tags:
        - Transaction
      summary: Add Transaction
      description: >-
        A `POST` to the `/transactions` endpoint allows your application to
        create a Transaction.
      operationId: transactions.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreTransaction'
      responses:
        '201':
          description: |-
            Return the newly created transaction.



            `Transaction`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Transaction'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreTransaction:
      type: object
      properties:
        profile_id:
          type:
            - string
            - 'null'
        profile_id_handle:
          type:
            - string
            - 'null'
        redemption_id:
          type:
            - integer
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        location_id:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        total:
          type: number
        total_original:
          type:
            - number
            - 'null'
        rounding:
          type:
            - number
            - 'null'
        tender:
          type:
            - string
            - 'null'
        is_void:
          type:
            - boolean
            - 'null'
        margin:
          type:
            - number
            - 'null'
        transacted_at:
          type: string
        timezone:
          type: string
        meta:
          type:
            - array
            - 'null'
          items:
            type: string
        staff_id:
          type:
            - string
            - 'null'
        payments:
          type: array
          items:
            type: string
        receipt_is_email:
          type:
            - boolean
            - 'null'
        receipt_ref:
          type:
            - string
            - 'null'
        linked_receipt_ref:
          type:
            - string
            - 'null'
        receipt_email:
          type:
            - string
            - 'null'
          format: email
        type:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
        order_number:
          type:
            - string
            - 'null'
        order_id:
          type:
            - integer
            - 'null'
        external_order_id:
          type:
            - string
            - 'null'
        need_action:
          type:
            - boolean
            - 'null'
        organisation_id:
          type:
            - integer
            - 'null'
        fees:
          type:
            - array
            - 'null'
          items:
            type: string
        currency_value:
          type: object
          properties:
            from:
              type: string
            to:
              type: string
            rate:
              type: number
        tags:
          type: array
          items:
            type: string
        systems:
          type: array
          items:
            type: string
        items:
          type: array
          items:
            type: object
            properties:
              external_id:
                type:
                  - string
                  - 'null'
              name:
                type: string
              price_current:
                type: number
              price_sell:
                type: number
              quantity:
                type: number
              price_original:
                type:
                  - number
                  - 'null'
              price_margin:
                type:
                  - number
                  - 'null'
              discounts:
                type:
                  - array
                  - 'null'
                items:
                  type: string
              sku:
                type:
                  - string
                  - 'null'
              department:
                type:
                  - string
                  - 'null'
              meta:
                type:
                  - array
                  - 'null'
                items:
                  type: string
              variant_external_id:
                type:
                  - string
                  - 'null'
              product_variant_sku:
                type:
                  - string
                  - 'null'
              product_variant_id:
                type:
                  - integer
                  - 'null'
              product_variant:
                type:
                  - object
                  - 'null'
                properties:
                  product_id:
                    type: string
                  sku:
                    type: string
                  title:
                    type: string
                  category:
                    type: string
                  subcategory:
                    type:
                      - string
                      - 'null'
                  brand:
                    type: string
                  price:
                    type: number
            required:
              - name
              - price_current
              - price_sell
              - quantity
          minItems: 1
        custom_fields:
          type: array
          items:
            type: object
            properties:
              namespace:
                type: string
              handle:
                type: string
              type:
                type: string
                enum:
                  - string
                  - integer
                  - float
                  - boolean
                  - json
                  - array
              value:
                type: string
            required:
              - namespace
              - handle
              - type
              - value
      required:
        - total
        - transacted_at
        - timezone
        - items
      title: StoreTransaction
    Transaction:
      type: object
      properties:
        id:
          type: integer
        external_id:
          type:
            - string
            - 'null'
        redemption:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            type:
              type: string
            total:
              type: string
            total_localised:
              type: string
            location_id:
              type:
                - integer
                - 'null'
            location:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: string
                name:
                  type: string
                external_id:
                  type: string
              required:
                - id
                - name
                - external_id
            items:
              type: array
              items:
                $ref: '#/components/schemas/RedemptionItem'
          required:
            - id
            - type
            - total
            - total_localised
            - location_id
            - location
            - items
        reversed_redemptions:
          type: array
          items:
            $ref: '#/components/schemas/Redemption'
        profile_id:
          type:
            - string
            - 'null'
        profile:
          type: 'null'
        location:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            type:
              type:
                - string
                - 'null'
            name:
              type:
                - string
                - 'null'
            description:
              type:
                - string
                - 'null'
            phone:
              type:
                - string
                - 'null'
            email:
              type:
                - string
                - 'null'
            external_id:
              type:
                - string
                - 'null'
            is_published:
              type: boolean
            is_permanently_closed:
              type: boolean
            address:
              $ref: '#/components/schemas/Address'
          required:
            - id
            - type
            - name
            - description
            - phone
            - email
            - external_id
            - is_published
            - is_permanently_closed
            - address
        meta:
          type:
            - array
            - 'null'
          items: {}
        total:
          type: number
        total_original:
          type:
            - number
            - 'null'
        total_converted:
          type:
            - number
            - 'null'
        systems:
          type: array
          items: {}
        rounding:
          type:
            - number
            - 'null'
        margin:
          type:
            - number
            - 'null'
        is_void:
          type: boolean
        transacted_at:
          type: string
        timezone:
          type:
            - string
            - 'null'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        items:
          type: array
          items:
            $ref: '#/components/schemas/TransactionItem'
        payments:
          type:
            - array
            - 'null'
          items: {}
        receipt_is_email:
          type: boolean
        receipt_ref:
          type:
            - string
            - 'null'
        linked_receipt_ref:
          type:
            - string
            - 'null'
        claimed_at:
          type: string
        receipt_email:
          type:
            - string
            - 'null'
        staff:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            full_name:
              type: string
            email:
              type: string
            identities:
              type: array
              items:
                $ref: '#/components/schemas/Identity'
          required:
            - id
            - full_name
            - email
            - identities
        currency_id:
          type:
            - integer
            - 'null'
        currency_rate:
          type:
            - number
            - 'null'
        currency:
          type: string
        currency_values:
          type: array
          items:
            $ref: '#/components/schemas/TransactionCurrencyValue'
        type:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
        order_number:
          type:
            - string
            - 'null'
        order_id:
          type:
            - integer
            - 'null'
        external_order_id:
          type:
            - string
            - 'null'
        need_action:
          type:
            - boolean
            - 'null'
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CustomField'
        organisation:
          anyOf:
            - $ref: '#/components/schemas/Organisation'
            - type: 'null'
        fees:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        updated_at:
          type: string
        tier_points:
          type: array
          items:
            $ref: '#/components/schemas/TierPointBasic'
      required:
        - id
        - external_id
        - redemption
        - reversed_redemptions
        - profile_id
        - profile
        - location
        - meta
        - total
        - total_original
        - total_converted
        - systems
        - rounding
        - margin
        - is_void
        - transacted_at
        - timezone
        - tags
        - items
        - payments
        - receipt_is_email
        - receipt_ref
        - linked_receipt_ref
        - claimed_at
        - receipt_email
        - staff
        - currency_id
        - currency_rate
        - currency
        - currency_values
        - type
        - status
        - order_number
        - order_id
        - external_order_id
        - need_action
        - custom_fields
        - organisation
        - fees
        - created_at
        - updated_at
        - tier_points
      title: Transaction
    RedemptionItem:
      type: object
      properties:
        id:
          type: integer
        type:
          type: string
        value:
          type:
            - number
            - 'null'
        count:
          type:
            - integer
            - 'null'
        type_attributes:
          anyOf:
            - $ref: '#/components/schemas/Credit'
            - $ref: '#/components/schemas/Benefit'
            - $ref: '#/components/schemas/Point'
            - $ref: '#/components/schemas/Reward'
            - type: 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - type
        - value
        - count
        - type_attributes
        - created_at
        - updated_at
      title: RedemptionItem
    Redemption:
      type: object
      properties:
        id:
          type: integer
        profile_id:
          type: string
        profile:
          type: object
          properties:
            first_name:
              type:
                - string
                - 'null'
            last_name:
              type:
                - string
                - 'null'
            full_name:
              type: string
            email:
              type: string
            statuses:
              type: array
              items: {}
          required:
            - first_name
            - last_name
            - full_name
            - email
            - statuses
        type:
          type: string
        total:
          type: string
        total_localised:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        location_id:
          type:
            - integer
            - 'null'
        location:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            type:
              type:
                - string
                - 'null'
            name:
              type:
                - string
                - 'null'
            description:
              type:
                - string
                - 'null'
            phone:
              type:
                - string
                - 'null'
            email:
              type:
                - string
                - 'null'
            external_id:
              type:
                - string
                - 'null'
            is_published:
              type: boolean
            is_permanently_closed:
              type: boolean
          required:
            - id
            - type
            - name
            - description
            - phone
            - email
            - external_id
            - is_published
            - is_permanently_closed
        transaction_id:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/RedemptionItem'
        created_at:
          type: string
        updated_at:
          type: string
        redeem_at:
          type: string
        transaction:
          type:
            - object
            - 'null'
          properties:
            external_id:
              type:
                - string
                - 'null'
            receipt_ref:
              type:
                - string
                - 'null'
            transacted_at:
              type: string
            total:
              type: number
            location:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: string
                name:
                  type: string
                external_id:
                  type: string
              required:
                - id
                - name
                - external_id
          required:
            - external_id
            - receipt_ref
            - transacted_at
            - total
            - location
      required:
        - id
        - profile_id
        - profile
        - type
        - total
        - total_localised
        - meta
        - location_id
        - location
        - transaction_id
        - items
        - created_at
        - updated_at
        - redeem_at
        - transaction
      title: Redemption
    Address:
      type: object
      properties:
        id:
          type: integer
        address_line_1:
          type: string
        address_line_2:
          type:
            - string
            - 'null'
        address_line_3:
          type:
            - string
            - 'null'
        company:
          type:
            - string
            - 'null'
        latitude:
          type:
            - number
            - 'null'
        longitude:
          type:
            - number
            - 'null'
        city:
          type: string
        postcode:
          type: string
        state:
          type:
            - string
            - 'null'
        country:
          type: string
        notes:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        is_default:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        name:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        iso:
          type:
            - string
            - 'null'
        iso_state:
          type:
            - string
            - 'null'
        profile_id:
          type:
            - string
            - 'null'
        custom_fields:
          type: object
          additionalProperties: {}
      required:
        - id
        - address_line_1
        - address_line_2
        - address_line_3
        - company
        - latitude
        - longitude
        - city
        - postcode
        - state
        - country
        - notes
        - external_id
        - is_default
        - created_at
        - updated_at
        - meta
        - name
        - type
        - phone
        - iso
        - iso_state
        - profile_id
        - custom_fields
      title: Address
    Tag:
      type: string
      title: Tag
    TransactionItem:
      type: object
      properties:
        id:
          type: integer
        external_id:
          type:
            - string
            - 'null'
        name:
          type: string
        transaction_id:
          type: integer
        product_id:
          type:
            - integer
            - 'null'
        product_variant_id:
          type:
            - integer
            - 'null'
        sku:
          type:
            - string
            - 'null'
        variant_external_id:
          type:
            - string
            - 'null'
        is_void:
          type: boolean
        quantity:
          type: integer
        price_current:
          type:
            - number
            - 'null'
        price_sell:
          type: number
        price_original:
          type:
            - number
            - 'null'
        price_margin:
          type:
            - number
            - 'null'
        price_tax:
          type:
            - number
            - 'null'
        is_return:
          type: string
        discounts:
          type:
            - array
            - 'null'
          items: {}
        department:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        product_images:
          type: object
        order_id:
          type:
            - integer
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        pivot:
          anyOf:
            - type: object
              properties:
                created_at:
                  type: string
                updated_at:
                  type: string
              required:
                - created_at
                - updated_at
            - type: array
              items:
                type: string
              minItems: 0
              maxItems: 0
              additionalItems: false
        product_variant:
          $ref: '#/components/schemas/ProductVariant'
        product:
          type: object
          properties:
            title:
              type:
                - string
                - 'null'
            department:
              type:
                - string
                - 'null'
            brand:
              type:
                - string
                - 'null'
            custom_fields:
              type: array
              items:
                $ref: '#/components/schemas/CustomField'
          required:
            - title
            - department
            - brand
            - custom_fields
        transaction:
          type: object
          properties:
            transacted_at:
              type: string
            receipt_ref:
              type:
                - string
                - 'null'
            external_id:
              type:
                - string
                - 'null'
            location:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: integer
                type:
                  type:
                    - string
                    - 'null'
                name:
                  type:
                    - string
                    - 'null'
                description:
                  type:
                    - string
                    - 'null'
                phone:
                  type:
                    - string
                    - 'null'
                email:
                  type:
                    - string
                    - 'null'
                external_id:
                  type:
                    - string
                    - 'null'
                is_published:
                  type: boolean
                is_permanently_closed:
                  type: boolean
                address:
                  $ref: '#/components/schemas/Address'
              required:
                - id
                - type
                - name
                - description
                - phone
                - email
                - external_id
                - is_published
                - is_permanently_closed
                - address
          required:
            - transacted_at
            - receipt_ref
            - external_id
            - location
        list_items:
          type: array
          items:
            $ref: '#/components/schemas/TransactionItemProductListItem'
      required:
        - id
        - external_id
        - name
        - transaction_id
        - product_id
        - product_variant_id
        - sku
        - variant_external_id
        - is_void
        - quantity
        - price_current
        - price_sell
        - price_original
        - price_margin
        - price_tax
        - is_return
        - discounts
        - department
        - meta
        - product_images
        - order_id
        - created_at
        - updated_at
        - pivot
        - product_variant
        - product
        - transaction
        - list_items
      title: TransactionItem
    Identity:
      type: object
      properties:
        id:
          type: integer
        handle:
          type: string
        identifier:
          type: string
        is_primary:
          type: boolean
        is_active:
          type: boolean
        profile_id:
          type:
            - string
            - 'null'
        merged_from:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        profile:
          $ref: '#/components/schemas/ProfileWithoutIdentity'
      required:
        - id
        - handle
        - identifier
        - is_primary
        - is_active
        - profile_id
        - merged_from
        - created_at
        - updated_at
        - profile
      title: Identity
    TransactionCurrencyValue:
      type: object
      properties:
        id:
          type: integer
        from:
          type: string
        to:
          type: string
        rate:
          type: number
        total:
          type: number
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - from
        - to
        - rate
        - total
        - created_at
        - updated_at
      title: TransactionCurrencyValue
    CustomField:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
        handle:
          type: string
        namespace:
          type: string
        value:
          type: string
        type:
          type: string
        custom_fieldable_type:
          type: string
        custom_fieldable:
          anyOf:
            - type: 'null'
            - $ref: '#/components/schemas/TransactionBasic'
            - type: object
              properties:
                id:
                  type: integer
                address_line_1:
                  type: string
                address_line_2:
                  type: string
                address_line_3:
                  type: string
                city:
                  type: string
                postcode:
                  type: string
                state:
                  type: string
                country:
                  type: string
                phone:
                  type: string
                external_id:
                  type: string
                iso:
                  type: string
                iso_state:
                  type: string
                profile_id:
                  type: string
              required:
                - id
                - address_line_1
                - address_line_2
                - address_line_3
                - city
                - postcode
                - state
                - country
                - phone
                - external_id
                - iso
                - iso_state
                - profile_id
        created_at:
          type: string
        updated_at:
          type: string
        is_index:
          type:
            - integer
            - 'null'
      required:
        - name
        - handle
        - namespace
        - value
        - type
        - custom_fieldable_type
        - custom_fieldable
        - created_at
        - updated_at
        - is_index
      title: CustomField
    Organisation:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        description:
          type:
            - string
            - 'null'
        short_description:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        type:
          type: string
        status:
          type:
            - string
            - 'null'
        is_tenant:
          type:
            - integer
            - 'null'
        is_active:
          type:
            - integer
            - 'null'
        phone:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        secondary_phone:
          type:
            - string
            - 'null'
        domain:
          type:
            - string
            - 'null'
        authorised_domains:
          type:
            - array
            - 'null'
          items: {}
        meta:
          type:
            - array
            - 'null'
          items: {}
        locations:
          type: array
          items:
            $ref: '#/components/schemas/Location'
        address:
          $ref: '#/components/schemas/Address'
        custom_fields:
          type: object
          additionalProperties: {}
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - description
        - short_description
        - icon
        - image_url
        - notes
        - type
        - status
        - is_tenant
        - is_active
        - phone
        - email
        - secondary_phone
        - domain
        - authorised_domains
        - meta
        - locations
        - address
        - custom_fields
        - created_at
        - updated_at
      title: Organisation
    TierPointBasic:
      type: object
      properties:
        id:
          type: string
        profile_id:
          type: string
        point_definition_id:
          type: string
        value:
          type: string
        issued_at:
          type: string
        accrued_at:
          type:
            - string
            - 'null'
        status:
          type: string
        source_id:
          type: string
        source_type:
          type: string
        meta:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile_id
        - point_definition_id
        - value
        - issued_at
        - accrued_at
        - status
        - source_id
        - source_type
        - meta
        - created_at
        - updated_at
      title: TierPointBasic
    Credit:
      type: object
      properties:
        id:
          type: integer
        profile_id:
          type:
            - string
            - 'null'
        creator_profile_id:
          type:
            - string
            - 'null'
        staff_id:
          type:
            - string
            - 'null'
        location_id:
          type:
            - integer
            - 'null'
        name:
          type:
            - string
            - 'null'
        credit_definition_id:
          type:
            - integer
            - 'null'
        definition:
          $ref: '#/components/schemas/CreditDefinition'
        timezone:
          type:
            - string
            - 'null'
        recipient_first_name:
          type:
            - string
            - 'null'
        recipient_email:
          type:
            - string
            - 'null'
        message:
          type:
            - string
            - 'null'
        issued_at:
          type: string
        expires_at:
          type: string
        released_at:
          type: string
        extended_at:
          type: string
        value_initial:
          type:
            - string
            - 'null'
        value_remaining:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        external_namespace:
          type:
            - string
            - 'null'
        credit_number:
          type:
            - string
            - 'null'
        security_code:
          type:
            - string
            - 'null'
        source_id:
          type:
            - integer
            - 'null'
        source_type:
          type:
            - string
            - 'null'
        locked:
          type: boolean
        lock_expires_at:
          type: string
        has_notified_issue:
          type: boolean
        has_notified_expiry:
          type: boolean
        has_notified_release:
          type: boolean
        has_notified_remind:
          type: boolean
        has_notified_extend:
          type: boolean
        meta:
          type:
            - array
            - 'null'
          items: {}
        is_imported:
          type: boolean
        is_system_generated:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile_id
        - creator_profile_id
        - staff_id
        - location_id
        - name
        - credit_definition_id
        - timezone
        - recipient_first_name
        - recipient_email
        - message
        - issued_at
        - expires_at
        - released_at
        - extended_at
        - value_initial
        - value_remaining
        - external_id
        - external_namespace
        - credit_number
        - security_code
        - source_id
        - source_type
        - locked
        - lock_expires_at
        - has_notified_issue
        - has_notified_expiry
        - has_notified_release
        - has_notified_remind
        - has_notified_extend
        - meta
        - is_imported
        - is_system_generated
        - created_at
        - updated_at
      title: Credit
    Benefit:
      type: object
      properties:
        id:
          type: integer
        profile_id:
          type: string
        external_id:
          type:
            - string
            - 'null'
        expires_at:
          type: string
        issued_at:
          type: string
        is_expired:
          type: string
        is_redeemable:
          type: string
        redemptions_remaining:
          type: string
        total_global_redemptions_remaining:
          anyOf:
            - type: 'null'
            - type: object
            - type: integer
        definition:
          $ref: '#/components/schemas/BenefitDefinition'
        timezone:
          type:
            - string
            - 'null'
        claimed_at:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        redeem_code_pos:
          type:
            - string
            - 'null'
        redeem_code_online:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        value:
          type:
            - string
            - 'null'
        combine_meta:
          type:
            - array
            - 'null'
          items: {}
        is_combined:
          type:
            - boolean
            - 'null'
        extended_at:
          type: string
        source_id:
          type:
            - integer
            - 'null'
        source_type:
          type:
            - string
            - 'null'
      required:
        - id
        - profile_id
        - external_id
        - expires_at
        - issued_at
        - is_expired
        - is_redeemable
        - redemptions_remaining
        - total_global_redemptions_remaining
        - definition
        - timezone
        - claimed_at
        - meta
        - redeem_code_pos
        - redeem_code_online
        - created_at
        - updated_at
        - value
        - combine_meta
        - is_combined
        - extended_at
        - source_id
        - source_type
      title: Benefit
    Point:
      type: object
      properties:
        id:
          type: integer
        profile_id:
          type: string
        linked_profile_id:
          type:
            - string
            - 'null'
        value_initial:
          type: string
        value_remaining:
          type: string
        value_initial_currency:
          type: number
        value_remaining_currency:
          type: number
        issued_at:
          type: string
        accrued_at:
          type:
            - string
            - 'null'
        expires_at:
          type:
            - string
            - 'null'
        status:
          type: string
        definition:
          $ref: '#/components/schemas/PointDefinition'
        created_at:
          type: string
        updated_at:
          type: string
        source_type:
          type:
            - string
            - 'null'
        source:
          type: 'null'
        rate:
          anyOf:
            - $ref: '#/components/schemas/Rate'
            - type: 'null'
        description:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
      required:
        - id
        - profile_id
        - linked_profile_id
        - value_initial
        - value_remaining
        - value_initial_currency
        - value_remaining_currency
        - issued_at
        - accrued_at
        - expires_at
        - status
        - definition
        - created_at
        - updated_at
        - source_type
        - source
        - rate
        - description
        - meta
      title: Point
    Reward:
      type: object
      properties:
        id:
          type: integer
        profile_id:
          type: string
        timezone:
          type:
            - string
            - 'null'
        value_initial:
          type: string
        value_remaining:
          type: string
        has_notified_issue:
          type:
            - boolean
            - 'null'
        has_notified_expiry:
          type:
            - boolean
            - 'null'
        has_notified_extend:
          type:
            - boolean
            - 'null'
        expires_at:
          type: string
        issued_at:
          type: string
        is_expired:
          type: string
        is_active:
          type: string
        issued_local_at:
          type: string
        expires_local_at:
          type: string
        notify_issue_at:
          type: string
        notify_expiry_at:
          type: string
        extended_at:
          type: string
        definition:
          $ref: '#/components/schemas/RewardDefinition'
        meta:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        updated_at:
          type: string
        source_id:
          type:
            - integer
            - 'null'
        source_type:
          type:
            - string
            - 'null'
      required:
        - id
        - profile_id
        - timezone
        - value_initial
        - value_remaining
        - has_notified_issue
        - has_notified_expiry
        - has_notified_extend
        - expires_at
        - issued_at
        - is_expired
        - is_active
        - issued_local_at
        - expires_local_at
        - notify_issue_at
        - notify_expiry_at
        - extended_at
        - definition
        - meta
        - created_at
        - updated_at
        - source_id
        - source_type
      title: Reward
    ProductVariant:
      type: object
      properties:
        id:
          type: integer
        product_id:
          type: integer
        sku:
          type: string
        external_id:
          type:
            - string
            - 'null'
        barcode:
          type:
            - string
            - 'null'
        web_url:
          type:
            - string
            - 'null'
        handle:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        position:
          type: integer
        price:
          type: number
        price_discounted:
          type:
            - number
            - 'null'
        price_comparison:
          type:
            - number
            - 'null'
        price_cost:
          type:
            - number
            - 'null'
        available_quantity:
          type:
            - integer
            - 'null'
        images:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        options:
          type: array
          items:
            $ref: '#/components/schemas/ProductOption'
        created_at:
          type: string
        updated_at:
          type: string
        deleted_at:
          type: string
      required:
        - id
        - product_id
        - sku
        - external_id
        - barcode
        - web_url
        - handle
        - title
        - description
        - position
        - price
        - price_discounted
        - price_comparison
        - price_cost
        - available_quantity
        - images
        - meta
        - tags
        - options
        - created_at
        - updated_at
        - deleted_at
      title: ProductVariant
    TransactionItemProductListItem:
      type: object
      properties:
        id:
          type: string
        product_list_id:
          type: string
        list:
          anyOf:
            - type: object
              properties:
                name:
                  type: string
                handle:
                  type: string
                description:
                  type: string
              required:
                - name
                - handle
                - description
            - type: array
              items:
                type: string
              minItems: 0
              maxItems: 0
              additionalItems: false
        created_at:
          type: string
        updated_at:
          type: string
        quantity:
          type: string
        position:
          type: string
        status:
          type: string
        meta:
          type: string
        pivot:
          anyOf:
            - type: object
              properties:
                created_at:
                  type: string
                updated_at:
                  type: string
              required:
                - created_at
                - updated_at
            - type: array
              items:
                type: string
              minItems: 0
              maxItems: 0
              additionalItems: false
      required:
        - id
        - product_list_id
        - list
        - created_at
        - updated_at
        - quantity
        - position
        - status
        - meta
        - pivot
      title: TransactionItemProductListItem
    ProfileWithoutIdentity:
      type: object
      properties:
        id:
          type: string
        external_id:
          type: string
        title:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        full_name:
          type: string
        email:
          type: string
        gender:
          type: string
        currency:
          type: string
        joined_at:
          type: string
        mobile_phone:
          type: string
        mobile_phone_country:
          type: string
        mobile_phone_national:
          type: string
        mobile_phone_national_prefix:
          anyOf:
            - type: array
              items: {}
            - type: string
        mobile_phone_e164:
          type: string
        secondary_phone:
          type: string
        birth_year:
          type: string
        birth_month:
          type: string
        birth_day:
          type: string
        company:
          type: string
        occupation:
          type: string
        avatar_url:
          type: string
        preferred_location_id:
          type: string
        joined_location_id:
          type: string
        joined_location:
          $ref: '#/components/schemas/Location'
        preferred_location:
          $ref: '#/components/schemas/Location'
        tier_handle:
          type: string
        tier:
          $ref: '#/components/schemas/Tier'
        birth_date:
          type: string
        birth_days:
          type: string
        birth_days_past:
          type: string
        next_birthday:
          type: string
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        attributes:
          type: object
          properties:
            comms:
              $ref: '#/components/schemas/ProfileCommsAttribute'
            appearance:
              $ref: '#/components/schemas/ProfileAppearanceAttribute'
            dates:
              type: array
              items:
                $ref: '#/components/schemas/ProfileDatesAttribute'
          required:
            - comms
            - appearance
            - dates
        statuses:
          type: array
          items: {}
        statuses_original:
          type: array
          items:
            $ref: '#/components/schemas/StatusOriginal'
        custom_attributes:
          type: string
        address:
          $ref: '#/components/schemas/Address'
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
        reward_balance:
          type: string
        point_balance:
          type: string
        benefit_balance:
          type: string
        combined_balance_dollars:
          type: string
        point_balance_dollars:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        profile_type:
          type: string
        region:
          anyOf:
            - $ref: '#/components/schemas/ProfileRegion'
            - type: 'null'
        regions:
          type: array
          items:
            $ref: '#/components/schemas/ProfileRegion'
      required:
        - id
        - external_id
        - title
        - first_name
        - last_name
        - full_name
        - email
        - gender
        - currency
        - joined_at
        - mobile_phone
        - mobile_phone_country
        - mobile_phone_national
        - mobile_phone_national_prefix
        - mobile_phone_e164
        - secondary_phone
        - birth_year
        - birth_month
        - birth_day
        - company
        - occupation
        - avatar_url
        - preferred_location_id
        - joined_location_id
        - joined_location
        - preferred_location
        - tier_handle
        - tier
        - birth_date
        - birth_days
        - birth_days_past
        - next_birthday
        - tags
        - attributes
        - statuses
        - statuses_original
        - custom_attributes
        - address
        - addresses
        - reward_balance
        - point_balance
        - benefit_balance
        - combined_balance_dollars
        - point_balance_dollars
        - created_at
        - updated_at
        - profile_type
        - region
        - regions
      title: ProfileWithoutIdentity
    TransactionBasic:
      type: object
      properties:
        id:
          type: string
        external_id:
          type: string
        profile_id:
          type: string
        meta:
          type: string
        total:
          type: string
        total_original:
          type: string
        rounding:
          type: string
        margin:
          type: string
        is_void:
          type: string
        transacted_at:
          type: string
        timezone:
          type: string
        payments:
          type: string
        receipt_is_email:
          type: string
        receipt_ref:
          type: string
        linked_receipt_ref:
          type: string
        claimed_at:
          type: string
        receipt_email:
          type: string
        currency_id:
          type: string
        currency_rate:
          type: string
        currency:
          type: string
        type:
          type: string
        status:
          type: string
        order_number:
          type: string
        order_id:
          type: string
        external_order_id:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - external_id
        - profile_id
        - meta
        - total
        - total_original
        - rounding
        - margin
        - is_void
        - transacted_at
        - timezone
        - payments
        - receipt_is_email
        - receipt_ref
        - linked_receipt_ref
        - claimed_at
        - receipt_email
        - currency_id
        - currency_rate
        - currency
        - type
        - status
        - order_number
        - order_id
        - external_order_id
        - created_at
        - updated_at
      title: TransactionBasic
    Location:
      type: object
      properties:
        id:
          type: integer
        type:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        handle:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        timezone:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        external_code:
          type:
            - string
            - 'null'
        is_published:
          type: boolean
        is_permanently_closed:
          type: boolean
        address:
          $ref: '#/components/schemas/Address'
        normal_hours:
          type: array
          items:
            $ref: '#/components/schemas/LocationHour'
        special_hours:
          type: array
          items:
            $ref: '#/components/schemas/LocationHour'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        custom_fields:
          type: object
          additionalProperties: {}
        icon:
          type:
            - string
            - 'null'
        country_iso_3:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        departments:
          type: array
          items:
            $ref: '#/components/schemas/Department'
      required:
        - id
        - type
        - name
        - handle
        - description
        - phone
        - email
        - timezone
        - external_id
        - external_code
        - is_published
        - is_permanently_closed
        - address
        - normal_hours
        - special_hours
        - tags
        - custom_fields
        - icon
        - country_iso_3
        - image_url
        - created_at
        - updated_at
        - departments
      title: Location
    CreditDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        timezone:
          type:
            - string
            - 'null'
        period:
          type:
            - integer
            - 'null'
        period_type:
          type:
            - string
            - 'null'
        absolute_expiry:
          type:
            - string
            - 'null'
        release_period:
          type:
            - integer
            - 'null'
        release_period_type:
          type:
            - string
            - 'null'
        release_period_absolute_expiry:
          type:
            - string
            - 'null'
        is_published:
          type: boolean
        is_archived:
          type: boolean
        icon:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        primary_colour:
          type:
            - string
            - 'null'
        secondary_colour:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        internal_notes:
          type:
            - string
            - 'null'
        short_description:
          type:
            - string
            - 'null'
        long_description:
          type:
            - string
            - 'null'
        terms_conditions:
          type:
            - string
            - 'null'
        earn_instructions:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        type:
          type: string
        value:
          type:
            - number
            - 'null'
        max_value:
          type:
            - number
            - 'null'
        currency_id:
          type:
            - integer
            - 'null'
        currency:
          type:
            - string
            - 'null'
        require_creator:
          type: boolean
        require_assigned:
          type: boolean
        is_extendable:
          type: boolean
        is_assignable:
          type: boolean
        is_releasable:
          type: boolean
        is_reassignable:
          type: boolean
        require_security_code:
          type: boolean
        extend_days:
          type:
            - integer
            - 'null'
        credit_number_range_type:
          type:
            - string
            - 'null'
        credit_number_range_start:
          type:
            - string
            - 'null'
        credit_number_range_end:
          type:
            - string
            - 'null'
        credit_number_length:
          type:
            - integer
            - 'null'
        security_code_type:
          type:
            - string
            - 'null'
        use_custom_numbers:
          type: boolean
        notify_schedule_offset:
          type:
            - integer
            - 'null'
        issue_target_id:
          type:
            - integer
            - 'null'
        expiry_target_id:
          type:
            - integer
            - 'null'
        release_target_id:
          type:
            - integer
            - 'null'
        remind_target_id:
          type:
            - integer
            - 'null'
        extend_target_id:
          type:
            - integer
            - 'null'
        notify_issue_offset_days:
          type:
            - integer
            - 'null'
        notify_issue_offset_hour:
          type:
            - integer
            - 'null'
        notify_remind_offset_days:
          type:
            - integer
            - 'null'
        notify_remind_offset_hour:
          type:
            - integer
            - 'null'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldRaw'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - region_id
        - region
        - timezone
        - period
        - period_type
        - absolute_expiry
        - release_period
        - release_period_type
        - release_period_absolute_expiry
        - is_published
        - is_archived
        - icon
        - image_url
        - primary_colour
        - secondary_colour
        - description
        - internal_notes
        - short_description
        - long_description
        - terms_conditions
        - earn_instructions
        - meta
        - type
        - value
        - max_value
        - currency_id
        - currency
        - require_creator
        - require_assigned
        - is_extendable
        - is_assignable
        - is_releasable
        - is_reassignable
        - require_security_code
        - extend_days
        - credit_number_range_type
        - credit_number_range_start
        - credit_number_range_end
        - credit_number_length
        - security_code_type
        - use_custom_numbers
        - notify_schedule_offset
        - issue_target_id
        - expiry_target_id
        - release_target_id
        - remind_target_id
        - extend_target_id
        - notify_issue_offset_days
        - notify_issue_offset_hour
        - notify_remind_offset_days
        - notify_remind_offset_hour
        - tags
        - created_at
        - updated_at
      title: CreditDefinition
    BenefitDefinition:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        handle:
          type: string
        type:
          type:
            - string
            - 'null'
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        currency:
          type:
            - string
            - 'null'
        period:
          type:
            - integer
            - 'null'
        description:
          type:
            - string
            - 'null'
        internal_notes:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        short_description:
          type:
            - string
            - 'null'
        long_description:
          type:
            - string
            - 'null'
        terms_conditions:
          type:
            - string
            - 'null'
        earn_instructions:
          type:
            - string
            - 'null'
        redeem_instructions_store:
          type:
            - string
            - 'null'
        redeem_instructions_online:
          type:
            - string
            - 'null'
        redeem_code_pos:
          type:
            - string
            - 'null'
        redeem_code_online:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        max_redemptions:
          type:
            - integer
            - 'null'
        is_extendable:
          type: boolean
        is_assignable:
          type: boolean
        is_reassignable:
          type: boolean
        is_published:
          type: boolean
        is_archived:
          type: boolean
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        is_claimable:
          type: boolean
        max_global_redemptions:
          type:
            - integer
            - 'null'
        claim_period_start_at:
          type: string
        claim_period_end_at:
          type: string
        claim_condition:
          type:
            - array
            - 'null'
          items: {}
        is_reclaimable:
          type:
            - boolean
            - 'null'
        notify_schedule_offset:
          type:
            - integer
            - 'null'
        notify_issue_offset_days:
          type:
            - integer
            - 'null'
        notify_issue_offset_hour:
          type:
            - integer
            - 'null'
        notify_remind_offset_days:
          type:
            - integer
            - 'null'
        notify_remind_offset_hour:
          type:
            - integer
            - 'null'
        notify_extend_offset_days:
          type:
            - integer
            - 'null'
        notify_extend_offset_hour:
          type:
            - integer
            - 'null'
        remind_target_id:
          type:
            - integer
            - 'null'
        extend_target_id:
          type:
            - integer
            - 'null'
        issue_target_id:
          type:
            - integer
            - 'null'
        end_at:
          type: string
        total_allocations:
          type: 'null'
        total_allocations_remaining:
          type: 'null'
        force_allocation:
          type:
            - boolean
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        claim_timeframe:
          type:
            - array
            - 'null'
          items: {}
        view_condition:
          type:
            - array
            - 'null'
          items: {}
        allow_user_redeem:
          type:
            - boolean
            - 'null'
        same_campaign_count:
          type: integer
      required:
        - id
        - name
        - handle
        - type
        - region_id
        - region
        - currency
        - period
        - description
        - internal_notes
        - meta
        - short_description
        - long_description
        - terms_conditions
        - earn_instructions
        - redeem_instructions_store
        - redeem_instructions_online
        - redeem_code_pos
        - redeem_code_online
        - icon
        - image_url
        - max_redemptions
        - is_extendable
        - is_assignable
        - is_reassignable
        - is_published
        - is_archived
        - tags
        - is_claimable
        - max_global_redemptions
        - claim_period_start_at
        - claim_period_end_at
        - claim_condition
        - is_reclaimable
        - notify_schedule_offset
        - notify_issue_offset_days
        - notify_issue_offset_hour
        - notify_remind_offset_days
        - notify_remind_offset_hour
        - notify_extend_offset_days
        - notify_extend_offset_hour
        - remind_target_id
        - extend_target_id
        - issue_target_id
        - end_at
        - total_allocations
        - total_allocations_remaining
        - force_allocation
        - created_at
        - updated_at
        - claim_timeframe
        - view_condition
        - allow_user_redeem
        - same_campaign_count
      title: BenefitDefinition
    PointDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        currency:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        is_reassignable:
          type: boolean
        issue_period:
          type:
            - integer
            - 'null'
        issue_period_type:
          type:
            - string
            - 'null'
        issue_absolute_expiry:
          type:
            - string
            - 'null'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - region_id
        - region
        - currency
        - description
        - notes
        - is_reassignable
        - issue_period
        - issue_period_type
        - issue_absolute_expiry
        - tags
        - created_at
        - updated_at
      title: PointDefinition
    Rate:
      type: object
      properties:
        id:
          type: integer
        handle:
          type: string
        type:
          type: string
        location:
          type:
            - string
            - 'null'
        code:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        rate:
          type: string
        is_default:
          type: boolean
        is_archived:
          type:
            - boolean
            - 'null'
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        location_id:
          type:
            - integer
            - 'null'
        location_object:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        country_iso_2:
          type:
            - string
            - 'null'
        profile_conditions:
          type:
            - array
            - 'null'
          items: {}
        product_conditions:
          type:
            - array
            - 'null'
          items: {}
        start_time:
          type:
            - string
            - 'null'
        end_time:
          type:
            - string
            - 'null'
        issue_period:
          type:
            - integer
            - 'null'
        issue_period_type:
          type:
            - string
            - 'null'
        issue_absolute_expiry:
          type:
            - string
            - 'null'
        earn_instructions:
          type:
            - string
            - 'null'
        internal_notes:
          type:
            - string
            - 'null'
        is_published:
          type: boolean
        priority:
          type:
            - integer
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - handle
        - type
        - location
        - code
        - name
        - rate
        - is_default
        - is_archived
        - region_id
        - region
        - location_id
        - location_object
        - country_iso_2
        - profile_conditions
        - product_conditions
        - start_time
        - end_time
        - issue_period
        - issue_period_type
        - issue_absolute_expiry
        - earn_instructions
        - internal_notes
        - is_published
        - priority
        - created_at
        - updated_at
      title: Rate
    RewardDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        currency:
          type:
            - string
            - 'null'
        period:
          type:
            - integer
            - 'null'
        period_type:
          type:
            - string
            - 'null'
        absolute_expiry:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        short_description:
          type:
            - string
            - 'null'
        long_description:
          type:
            - string
            - 'null'
        terms_conditions:
          type:
            - string
            - 'null'
        earn_instructions:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        issue_target_id:
          type:
            - integer
            - 'null'
        expiry_target_id:
          type:
            - integer
            - 'null'
        extend_target_id:
          type:
            - integer
            - 'null'
        notify_issue_offset:
          type:
            - integer
            - 'null'
        notify_expiry_offset:
          type:
            - integer
            - 'null'
        notify_schedule_offset:
          type:
            - integer
            - 'null'
        notify_issue_offset_days:
          type:
            - integer
            - 'null'
        notify_issue_offset_hour:
          type:
            - integer
            - 'null'
        notify_remind_offset_days:
          type:
            - integer
            - 'null'
        notify_remind_offset_hour:
          type:
            - integer
            - 'null'
        notify_extend_offset_days:
          type:
            - integer
            - 'null'
        notify_extend_offset_hour:
          type:
            - integer
            - 'null'
        internal_notes:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        value:
          type: number
        max_value:
          type:
            - number
            - 'null'
        is_extendable:
          type: boolean
        is_assignable:
          type: boolean
        is_reassignable:
          type: boolean
        is_published:
          type: boolean
        extend_days:
          type:
            - integer
            - 'null'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - region_id
        - region
        - currency
        - period
        - period_type
        - absolute_expiry
        - description
        - short_description
        - long_description
        - terms_conditions
        - earn_instructions
        - icon
        - image_url
        - issue_target_id
        - expiry_target_id
        - extend_target_id
        - notify_issue_offset
        - notify_expiry_offset
        - notify_schedule_offset
        - notify_issue_offset_days
        - notify_issue_offset_hour
        - notify_remind_offset_days
        - notify_remind_offset_hour
        - notify_extend_offset_days
        - notify_extend_offset_hour
        - internal_notes
        - type
        - value
        - max_value
        - is_extendable
        - is_assignable
        - is_reassignable
        - is_published
        - extend_days
        - tags
        - created_at
        - updated_at
      title: RewardDefinition
    ProductOption:
      type: object
      properties:
        name:
          type: string
        value:
          type: string
        sort_order:
          type:
            - integer
            - 'null'
      required:
        - name
        - value
        - sort_order
      title: ProductOption
    Tier:
      type:
        - object
        - 'null'
      properties:
        id:
          type: integer
        profile_id:
          type: string
        name:
          type: string
        handle:
          type: string
        anniversary_at:
          type: string
        maintained_at:
          type: string
        assigned_at:
          type: string
        achieved_at:
          type: string
      required:
        - id
        - profile_id
        - name
        - handle
        - anniversary_at
        - maintained_at
        - assigned_at
        - achieved_at
      title: Tier
    ProfileCommsAttribute:
      type: array
      items: {}
      title: ProfileCommsAttribute
    ProfileAppearanceAttribute:
      type: object
      properties:
        profile_id:
          type: string
        hair_colour:
          type: string
        hair_length:
          type: string
        shape_body:
          type: string
        shape_face:
          type: string
        size_cup:
          type: string
        size_hat:
          type: string
        size_formal_jacket:
          type: string
        size_formal_jacket_length:
          type: string
        size_formal_shirt:
          type: string
        size_formal_shirt_fit:
          type: string
        size_formal_trouser:
          type: string
        size_formal_trouser_drop:
          type: string
        size_formal_trouser_leg:
          type: string
        size_jacket:
          type: string
        size_pant:
          type: string
        size_shoe:
          type: string
        size_type_age:
          type: string
        size_type_region:
          type: string
        size_top:
          type: string
        size_gloves:
          type: string
        size_swimwear_top:
          type: string
        size_swimwear_bottom:
          type: string
        size_swimwear_cup:
          type: string
        size_dress:
          type: string
        skin_type:
          type: string
        measurement_arm:
          type: string
        measurement_arm_inside:
          type: string
        measurement_bust:
          type: string
        measurement_chest:
          type: string
        measurement_foot_length:
          type: string
        measurement_head:
          type: string
        measurement_height:
          type: string
        measurement_hip:
          type: string
        measurement_leg_inside:
          type: string
        measurement_leg_outside:
          type: string
        measurement_neck:
          type: string
        measurement_neck_to_wrist:
          type: string
        measurement_shoulders:
          type: string
        measurement_waist:
          type: string
        measurement_weight:
          type: string
        brow_colour:
          type: string
        eye_colour:
          type: string
        measurement_hand_right_thumb:
          type: string
        measurement_hand_right_index:
          type: string
        measurement_hand_right_middle:
          type: string
        measurement_hand_right_ring:
          type: string
        measurement_hand_right_pinky:
          type: string
        measurement_hand_left_thumb:
          type: string
        measurement_hand_left_index:
          type: string
        measurement_hand_left_middle:
          type: string
        measurement_hand_left_ring:
          type: string
        measurement_hand_left_pinky:
          type: string
        measurement_ear_helix:
          type: string
        measurement_ear_forward_helix:
          type: string
        measurement_ear_flat:
          type: string
        measurement_ear_conch:
          type: string
        measurement_ear_tragus:
          type: string
        measurement_ear_lobe:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - profile_id
        - hair_colour
        - hair_length
        - shape_body
        - shape_face
        - size_cup
        - size_hat
        - size_formal_jacket
        - size_formal_jacket_length
        - size_formal_shirt
        - size_formal_shirt_fit
        - size_formal_trouser
        - size_formal_trouser_drop
        - size_formal_trouser_leg
        - size_jacket
        - size_pant
        - size_shoe
        - size_type_age
        - size_type_region
        - size_top
        - size_gloves
        - size_swimwear_top
        - size_swimwear_bottom
        - size_swimwear_cup
        - size_dress
        - skin_type
        - measurement_arm
        - measurement_arm_inside
        - measurement_bust
        - measurement_chest
        - measurement_foot_length
        - measurement_head
        - measurement_height
        - measurement_hip
        - measurement_leg_inside
        - measurement_leg_outside
        - measurement_neck
        - measurement_neck_to_wrist
        - measurement_shoulders
        - measurement_waist
        - measurement_weight
        - brow_colour
        - eye_colour
        - measurement_hand_right_thumb
        - measurement_hand_right_index
        - measurement_hand_right_middle
        - measurement_hand_right_ring
        - measurement_hand_right_pinky
        - measurement_hand_left_thumb
        - measurement_hand_left_index
        - measurement_hand_left_middle
        - measurement_hand_left_ring
        - measurement_hand_left_pinky
        - measurement_ear_helix
        - measurement_ear_forward_helix
        - measurement_ear_flat
        - measurement_ear_conch
        - measurement_ear_tragus
        - measurement_ear_lobe
        - created_at
        - updated_at
      title: ProfileAppearanceAttribute
    ProfileDatesAttribute:
      type: object
      properties:
        id:
          type: string
        profile_id:
          type: string
        date:
          type: string
        is_recurring:
          type: string
        recurring_schedule:
          type: string
        name:
          type: string
        handle:
          type: string
        relationship:
          type: string
        role:
          type: string
        description:
          type: string
        meta:
          type: string
        note:
          type: string
        links:
          type: array
          items:
            $ref: '#/components/schemas/ProfileDatesAttributeLink'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile_id
        - date
        - is_recurring
        - recurring_schedule
        - name
        - handle
        - relationship
        - role
        - description
        - meta
        - note
        - links
        - created_at
        - updated_at
      title: ProfileDatesAttribute
    StatusOriginal:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        handle:
          type: string
        sort_order:
          type: string
        description:
          type: string
        short_description:
          type: string
        long_description:
          type: string
        terms_conditions:
          type: string
        icon:
          type: string
        image_url:
          type: string
        earn_instructions:
          type: string
        colour:
          type: string
        primary_colour:
          type: string
        secondary_colour:
          type: string
        text_colour:
          type: string
        code:
          type: string
        internal_notes:
          type: string
        group_name:
          type: string
        group_handle:
          type: string
        timezone:
          type: string
        period:
          type: string
        period_type:
          type: string
        absolute_expiry:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - sort_order
        - description
        - short_description
        - long_description
        - terms_conditions
        - icon
        - image_url
        - earn_instructions
        - colour
        - primary_colour
        - secondary_colour
        - text_colour
        - code
        - internal_notes
        - group_name
        - group_handle
        - timezone
        - period
        - period_type
        - absolute_expiry
        - created_at
        - updated_at
      title: StatusOriginal
    ProfileRegion:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        handle:
          type: string
        is_active:
          type: string
        country:
          type: string
        state:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - is_active
        - country
        - state
        - created_at
        - updated_at
      title: ProfileRegion
    LocationHour:
      type: array
      items: {}
      title: LocationHour
    Department:
      type: object
      properties:
        id:
          type: integer
        name:
          type:
            - string
            - 'null'
        handle:
          type: string
        external_id:
          type:
            - string
            - 'null'
        external_code:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        short_description:
          type:
            - string
            - 'null'
        url:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        internal_note:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        brand_id:
          type: integer
        location_id:
          type:
            - integer
            - 'null'
        brand:
          type: object
          properties:
            name:
              type: string
            handle:
              type: string
          required:
            - name
            - handle
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - external_id
        - external_code
        - description
        - short_description
        - url
        - image_url
        - internal_note
        - meta
        - brand_id
        - location_id
        - brand
        - created_at
        - updated_at
      title: Department
    CustomFieldRaw:
      type: object
      properties:
        name:
          type: string
        handle:
          type: string
        namespace:
          type: string
        value:
          type: string
        type:
          type: string
        custom_fieldable_type:
          type: string
        custom_fieldable_id:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        is_index:
          type: string
      required:
        - name
        - handle
        - namespace
        - value
        - type
        - custom_fieldable_type
        - custom_fieldable_id
        - created_at
        - updated_at
        - is_index
      title: CustomFieldRaw
    ProfileDatesAttributeLink:
      type: object
      properties:
        id:
          type: string
        attributes_date_id:
          type: string
        profile_id:
          type: string
        relationship:
          type: string
        role:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - attributes_date_id
        - profile_id
        - relationship
        - role
        - created_at
        - updated_at
      title: ProfileDatesAttributeLink
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````